Page MenuHomePhabricator

Add test for lldb-mi interpreter
ClosedPublic

Authored by polyakov.alex on Mar 2 2018, 12:16 PM.

Details

Summary

Test that "lldb-mi --interpreter" can interpret "target list" CLI command.

Diff Detail

Repository
rL LLVM

Event Timeline

polyakov.alex created this revision.Mar 2 2018, 12:16 PM

As we have current executable file in test, it would be better to use it in search pattern.

aprantl accepted this revision.Mar 2 2018, 2:02 PM

Thanks, this looks good!

packages/Python/lldbsuite/test/tools/lldb-mi/interpreter/TestMiCliSupport.py
45 ↗(On Diff #136827)

Small nit: We usually try to use complete sentences in comments with a . at the end.

This revision is now accepted and ready to land.Mar 2 2018, 2:02 PM

Added . to the end of sentences in comments.

ki.stfu accepted this revision.Mar 3 2018, 6:40 AM

Thank you for this patch. And the next time please use arc or diff -U9999 for a full context.

polyakov.alex marked an inline comment as done.Mar 3 2018, 7:44 AM

Thanks for your time.

Thank you for this patch. And the next time please use arc or diff -U9999 for a full context.

Yep, I will. So, could you commit this patch? I haven't got write access.

I'm OOO till Mar 13. Can do that when I get back.

Closed by commit rL326847: Add test for lldb-mi interpreter (authored by adrian, committed by ). · Explain WhyMar 6 2018, 3:27 PM
This revision was automatically updated to reflect the committed changes.